Summary: NVIDIA Linux Display Driver
Version: 390.141
Release: 15%{?dist}
Name: nvidia-graphics%{version}
License: NVIDIA, distributable
Group: User Interface/X Hardware Support
#Source0: ftp://download.nvidia.com/XFree86/Linux-x86/%{version}/NVIDIA-Linux-x86-%{version}.run
Source1: ftp://download.nvidia.com/XFree86/Linux-x86_64/%{version}/NVIDIA-Linux-x86_64-%{version}.run
#Patch0: NVIDIA_kernel-1.0-9625-NOSMBUS.diff.txt 
#Patch1: nvidia_kernel-3.19-f_dentry.patch 
#Patch2: nvidia-kernel-3.19-NV_FILE_HAS_INODE.patch
#Patch3: nvidia_kernel_4.10.patch
##Patch4: nvidia-drivers-390.87-kernel-4.19.patch
##Patch5: nvidia-drivers-390.87-kernel-4.20.patch
#Patch6: kernel-5.5.patch
#Patch7: nvidia-graphics390.132-5.6.patch
#Patch8: nvidia-kernel5.8.patch
Patch9: nvidia-390.141-fix-linux-5.11.patch
URL: http://www.nvidia.com/object/linux_display_ia32_%{version}
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: kernel, kernel-devel, /sbin/modprobe, nvidia-graphics-helpers >= 0.0.18
ExclusiveArch: %ix86 x86_64
Requires: %{name}-libs = %{evr}
#Requires: python2, pyxf86config >= 0.3.5
Requires(post): nvidia-graphics-helpers
%kmdl nvidia-graphics%{version}
%kmdl_parentdependencies

%description
The NVIDIA Accelerated Linux Driver Set brings both accelerated 2D
functionality and high performance OpenGL support to Linux x86 with
the use of NVIDIA graphics processing units (GPUs).

These drivers provide optimized hardware acceleration of OpenGL
applications via a direct-rendering X Server and support nearly all
NVIDIA graphics chips. TwinView, TV-Out and flat panel displays are
also supported.

This package includes NVIDIA module for X11 and OpenGL libraries.
Older RIVA 128 based video cards are supported by the server module
shipping with xorg/XFree86, nv_drv.o.

You must also install a matching %kmdl_namepure rpm, if you want to
utilize these drivers.

Add
 ModulePath "%{_x_module_path}/extensions/nvidia"
 ModulePath "%{_x_module_path}/extensions"
 ModulePath "%{_x_module_path}"
to `Section "Files"' in the config file and remove/comment the dri module.

%package libs
Summary: Libraries for nvidia-graphics chips
Group: System Environment/Libraries
%ifarch x86_64
Provides: libGL.so()(64bit)
%else
Provides: libGL.so
%endif

%description libs
The NVIDIA Accelerated Linux Driver Set brings both accelerated 2D
functionality and high performance OpenGL support to Linux x86 with
the use of NVIDIA graphics processing units (GPUs).

This package contains runtime libraries for NVIDIA GPUs.

%package devel
Summary: Development files for nvidia-graphics chips
Group: Development/Libraries
Requires: %{name}-libs = %{evr}

%description devel
The NVIDIA Accelerated Linux Driver Set brings both accelerated 2D
functionality and high performance OpenGL support to Linux x86 with
the use of NVIDIA graphics processing units (GPUs).

This package contains files necessary for developing for NVIDIA GPUs.

%package -n %kmdl_name
%kmdl_dependencies
Summary: Kernel module for NVIDIA graphics architecture support
Group: System Environment/Kernel
Requires: nvidia-graphics-devices

%description -n %kmdl_name
NVIDIA Architecture support for systems with updated or custom kernels.

%kmdl_desc

echo "here 1"
%prep
#rpm --rebuilddb
%setup -q -c -T
%ifarch %ix86
sh %{SOURCE0} --extract-only
%else
sh %{SOURCE1} --extract-only
%endif
echo "here 2"
mv NVIDIA-Linux-*-%{version}*/{*,.??*} .
rmdir NVIDIA-Linux-*-%{version}*
perl -pi -e's,(-I\$SOURCES/arch/x86/include)("| ),$1 -I\$SOURCES/arch/x86/include/generated$2,' kernel/conftest.sh

%global installpath %{kmdl_moduledir}/drivers/video/nvidia
%global NVfolder nvidia-graphics-%{version}
%global NVmodule nvidia-%(echo %{version} | sed -e's,\\.,_,g')

#%if 0%{?fedora} > 27
#%patch4 -p1
#%patch5 -p1
#%endif
#%patch3 -p1
#%patch6 -p1
#%patch7 -p1
#%if 0%{?fedora} > 30
#%patch8 -p1
%patch9 -p1

echo "here 3"
%install
rm -rf %{buildroot}
mkdir -p %{buildroot}

#fakebin=`pwd`/fakebin
#mkdir $fakebin
PATH=%{_libexecdir}/nvidia-graphics-helpers:$PATH
export PATH

%if %{kmdl_userland}

echo "here 4"

#LD_LIBRARY_PATH=%{buildroot}%{_libdir} fakeroot \
#./nvidia-installer -s -N -e -b \
#  --no-rpms \
#  --no-x-check \
#  --utility-prefix=%{buildroot}%{_prefix} \
#  --documentation-prefix=%{buildroot}%{_prefix} \
#  --x-prefix=%{buildroot}%{_x_prefix} \
#  --x-module-path=%{buildroot}%{_x_module_path} \
#  --opengl-prefix=%{buildroot}%{_prefix} \
#%ifarch x86_64
#  --compat32-prefix=%{buildroot}%{_prefix} \
#%endif
#  --log-file-name=user.log \
#  --no-kernel-module \
#  && success=yes
#cat user.log
#cat /tmp/fakebin.log
#test -z "$success" && exit 1

# remove embedded destination dir
find %{buildroot} -name \*.desktop -or -name \*.la \
  | xargs grep -l %{buildroot} | xargs -r sed -i -e"s,%{buildroot},,g"

# copy png for desktop file
mkdir -p %{buildroot}%{_datadir}/pixmaps
mkdir -p %{buildroot}%{_datadir}/applications
cp -a nvidia-settings.png \
  %{buildroot}%{_datadir}/pixmaps/nvidia-settings-%{version}.png

install -m 644 nvidia-settings.desktop %{buildroot}%{_prefix}/share/applications/nvidia-settings-%{version}.desktop
sed -i -e"s,__UTILS_PATH__/nvidia-settings,%{_bindir}/nvidia-settings," \
  %{buildroot}%{_prefix}/share/applications/nvidia-settings-%{version}.desktop
sed -i -e"s,__PIXMAP_PATH__/nvidia-settings.png,%{_datadir}/pixmaps/nvidia-settings-%{version}.png," \
  %{buildroot}%{_prefix}/share/applications/nvidia-settings-%{version}.desktop

# move docs
mkdir -p %{buildroot}%{_defaultdocdir}/%{name}-%{version}
mv LICENSE NVIDIA_Changelog README.txt\
   %{buildroot}%{_defaultdocdir}/%{name}-%{version}

mv html %{buildroot}%{_defaultdocdir}/%{name}-%{version}

%else
#%if ! %{kmdl_userland}

echo "here 5"

#make sure db is secure before build
#rpm --rebuilddb

%kmdl_config

export SYSSRC=%{kmdl_kernelsrcdir}
export IGNORE_CC_MISMATCH=1


pushd kernel
%if 0%{?fedora} > 30
make NV_EXCLUDE_KERNEL_MODULES=nvidia-uvm module
popd
%else
make module
popd
if [ -d kernel/uvm ]; then
   pushd kernel/uvm
   make module
   popd
fi
%endif

%endif
grep -r %{buildroot} %{buildroot} && exit 1

%if %{kmdl_userland}

mkdir -p %{buildroot}%{_x_module_path}/extensions/%{NVfolder}
%{__install} -p -m 755 libglx.so.%{version} %{buildroot}%{_x_module_path}/extensions/%{NVfolder}/
%{__ln_s} libglx.so.%{version}  %{buildroot}%{_x_module_path}/extensions/%{NVfolder}/libglx.so
mkdir -p %{buildroot}%{_x_module_path}/drivers/%{NVfolder}
%{__install} -p -m 755 nvidia_drv.so %{buildroot}%{_x_module_path}/drivers/%{NVfolder}/nvidia-graphics-%{version}_drv.so

mkdir -p %{buildroot}%{_x_module_path}/%{NVfolder}
%{__install} -p -m 755 libnvidia-wfb.so.%{version} %{buildroot}%{_x_module_path}/%{NVfolder}/
%{__ln_s} libnvidia-wfb.so.%{version}  %{buildroot}%{_x_module_path}/extensions/%{NVfolder}/libnvidia-wfb.so.1

# remove libwfb.so if the system provides one
if test -f %{_x_module_path}/libwfb.so; then
  rm -f %{buildroot}%{_x_module_path}/%{NVfolder}/libwfb.so
fi

# Install OpenCL Vendor config
mkdir -p %{buildroot}%{_sysconfigdir}/OpenCL/vendors
install -p -m 0644 nvidia.icd %{buildroot}%{_sysconfigdir}/OpenCL/vendors/nvidia.icd

mkdir -p %{buildroot}%{_libdir}/%{NVfolder}
mv {libGL*,libnvidia*,libcuda*,libOpenCL*,libnvcuvid*} \
   %{buildroot}%{_libdir}/%{NVfolder}/
%{__ln_s} libcuda.so.%{version}  %{buildroot}%{_libdir}/%{NVfolder}/libcuda.so
%{__ln_s} libGL.so.%{version}  %{buildroot}%{_libdir}/%{NVfolder}/libGL.so
%{__ln_s} libnvcuvid.so.%{version}  %{buildroot}%{_libdir}/%{NVfolder}/libnvcuvid.so
%{__ln_s} libnvidia-cfg.so.%{version}  %{buildroot}%{_libdir}/%{NVfolder}/libnvidia-cfg.so
%{__ln_s} libnvidia-compiler.so.%{version}  %{buildroot}%{_libdir}/%{NVfolder}/libnvidia-compiler.so
%{__ln_s} libnvidia-eglcore.so.%{version}  %{buildroot}%{_libdir}/%{NVfolder}/libnvidia-eglcore.so
%{__ln_s} libnvidia-encode.so.%{version}  %{buildroot}%{_libdir}/%{NVfolder}/libnvidia-encode.so
%{__ln_s} libnvidia-fbc.so.%{version}  %{buildroot}%{_libdir}/%{NVfolder}/libnvidia-fbc.so
%{__ln_s} libnvidia-glcore.so.%{version}  %{buildroot}%{_libdir}/%{NVfolder}/libnvidia-glcore.so
%{__ln_s} libnvidia-glsi.so.%{version}  %{buildroot}%{_libdir}/%{NVfolder}/libnvidia-glsi.so
%{__ln_s} libnvidia-ifr.so.%{version}  %{buildroot}%{_libdir}/%{NVfolder}/libnvidia-ifr.so
%{__ln_s} libnvidia-ml.so.%{version}  %{buildroot}%{_libdir}/%{NVfolder}/libnvidia-ml.so
%{__ln_s} libnvidia-opencl.so.%{version}  %{buildroot}%{_libdir}/%{NVfolder}/libnvidia-opencl.so
%{__ln_s} libnvidia-tls.so.%{version}  %{buildroot}%{_libdir}/%{NVfolder}/libnvidia-tls.so
%{__ln_s} libnvidia-wfb.so.%{version}  %{buildroot}%{_libdir}/%{NVfolder}/libnvidia-wfb.so
%{__ln_s} libOpenCL.so.1.0.0  %{buildroot}%{_libdir}/%{NVfolder}/libOpenCL.so
%{__ln_s} libGLESv1_CM_nvidia.so.%{version}  %{buildroot}%{_libdir}/%{NVfolder}/libGLESv1_CM.so
%{__ln_s} libGLESv2_nvidia.so.%{version}  %{buildroot}%{_libdir}/%{NVfolder}/libGLESv2.so
mv libEGL* \
   %{buildroot}%{_libdir}/%{NVfolder}/
mv %{buildroot}%{_libdir}/%{NVfolder}/libEGL.so.1.1.0 %{buildroot}%{_libdir}/%{NVfolder}/libEGLv1.so.%{version}
%{__ln_s} libEGLv1.so.%{version}  %{buildroot}%{_libdir}/%{NVfolder}/libEGL.so.1
%{__ln_s} libEGL.so.%{version}  %{buildroot}%{_libdir}/%{NVfolder}/libEGL.so
mkdir -p %{buildroot}%{_libdir}/%{NVfolder}/vdpau
mkdir -p %{buildroot}%{_libdir}/vdpau
mv libvdpau* \
   %{buildroot}%{_libdir}/%{NVfolder}/vdpau
%{__ln_s} libvdpau_nvidia.so.%{version}  %{buildroot}%{_libdir}/%{NVfolder}/vdpau/libvdpau_nvidia.so
%{__ln_s} ../%{NVfolder}/vdpau/libvdpau_nvidia.so.%{version}  %{buildroot}%{_libdir}/vdpau/libvdpau_nvidia.so.%{version}
%{__ln_s} ../%{NVfolder}/vdpau/libvdpau_nvidia.so.%{version}  %{buildroot}%{_libdir}/vdpau/libvdpau_nvidia.so
%{__ln_s} libvdpau_trace.so.%{version}  %{buildroot}%{_libdir}/%{NVfolder}/vdpau/libvdpau_trace.so
%{__ln_s} libvdpau.so.%{version}  %{buildroot}%{_libdir}/%{NVfolder}/vdpau/libvdpau.so
mkdir -p %{buildroot}%{_libdir}/%{NVfolder}/tls
mv tls/libnvidia* %{buildroot}%{_libdir}/%{NVfolder}/tls/
/sbin/ldconfig -n %{buildroot}%{_libdir}/%{NVfolder}
/sbin/ldconfig -n %{buildroot}%{_libdir}/%{NVfolder}/vdpau/
/sbin/ldconfig -n %{buildroot}%{_libdir}/vdpau/

#mkdir -p %{buildroot}%{_x_libraries}/%{NVfolder}
#mv %{buildroot}%{_x_libraries}/lib*.so* %{buildroot}%{_x_libraries}/%{NVfolder}/
#/sbin/ldconfig -n %{buildroot}%{_x_libraries}/%{NVfolder}
#ln -s %{NVfolder}/libXvMCNVIDIA_dynamic.so.1 %{buildroot}%{_x_libraries}/libXvMCNVIDIA.so

#mkdir -p %{buildroot}%{_includedir}/%{NVfolder}
#mv %{buildroot}%{_includedir}/GL %{buildroot}%{_includedir}/%{NVfolder}
#mv %{buildroot}%{_includedir}/cuda %{buildroot}%{_includedir}/%{NVfolder}
#mv %{buildroot}%{_includedir}/vdpau %{buildroot}%{_includedir}/%{NVfolder}
#mv %{buildroot}%{_includedir}/CL %{buildroot}%{_includedir}/%{NVfolder}

rm -f %{buildroot}%{_bindir}/nvidia-installer
rm -f %{buildroot}%{_bindir}/nvidia-uninstall

mkdir -p %{buildroot}%{_bindir}/
%{__install} -p -m 0755 nvidia-settings %{buildroot}%{_bindir}/nvidia-settings-%{version}
mv nvidia-xconfig %{buildroot}%{_bindir}/nvidia-xconfig-%{version}
mv nvidia-bug-report.sh %{buildroot}%{_bindir}/nvidia-bug-report-%{version}.sh
mv nvidia-smi %{buildroot}%{_bindir}/nvidia-smi-%{version}
mv nvidia-debugdump %{buildroot}%{_bindir}/nvidia-debugdump-%{version}
mv nvidia-cuda-mps-control %{buildroot}%{_bindir}/nvidia-cuda-mps-control-%{version}
mv nvidia-cuda-mps-server %{buildroot}%{_bindir}/nvidia-cuda-mps-server-%{version}
mv nvidia-persistenced %{buildroot}%{_bindir}/nvidia-persistenced-%{version}


sed -i -e's,Exec=nvidia-settings,Exec=nvidia-settings-%{version},' \
  -e's,nvidia-settings.png,nvidia-settings-%{version}.png,' \
  -e's,\(Comment=.*\),\1 (%{version}),' \
  nvidia-settings.desktop
mv nvidia-settings.desktop \
   %{buildroot}%{_datadir}/applications/nvidia-settings-%{version}.desktop
mv nvidia-settings.png \
   %{buildroot}%{_datadir}/pixmaps/nvidia-settings-%{version}.png

mkdir -p %{buildroot}/%{_mandir}/man1/%{NVfolder}
for page in nvidia-*.1.gz; do
  newpage=`echo $page | sed -e's,\(.*/nvidia-.*\)\.1,\1-%{version}\.1,'`
  mv $page %{buildroot}/%{_mandir}/man1/%{NVfolder}/$newpage
done

%else

if [ -f kernel/nvidia.ko ]; then
  mkdir -p %{buildroot}%{installpath}
  mv kernel/nvidia.ko \
     %{buildroot}%{installpath}/%{NVmodule}.ko
fi

if [ -f kernel/uvm/nvidia-uvm.ko ]; then
  mkdir -p %{buildroot}%{installpath}
  mv kernel/uvm/nvidia-uvm.ko \
     %{buildroot}%{installpath}/kernel-uvm.ko
fi
%endif

%clean 
rm -rf %{buildroot}

%post
%{__ln_s} %{_x_module_path}/drivers/nvidia_drv.so} %{_x_module_path}/drivers/%{NVfolder}/nvidia_drv-%{version}.so
%{_sbindir}/nvidia-graphics-switch %{version}

%postun -p /sbin/ldconfig

%post libs
cp -a /etc/ld.so.conf /etc/ld.so.conf.backup
#(echo %{_x_libraries}/%{NVfolder}; \
# grep -v %{_x_libraries}/nvidia-graphics /etc/ld.so.conf.backup) > /etc/ld.so.conf
grep -v %{_x_libraries}/nvidia-graphics /etc/ld.so.conf.backup > /etc/ld.so.conf

/sbin/ldconfig

%postun libs
if [ "$1" = 0 ]; then
 if grep %{NVfolder} /etc/ld.so.conf > /dev/null 2>&1; then
 cp -a /etc/ld.so.conf /etc/ld.so.conf.rpmsave
 grep -v %{NVfolder} /etc/ld.so.conf.rpmsave > /etc/ld.so.conf
 fi
fi
/sbin/ldconfig

%post -n %kmdl_name
%kmdl_install

%postun -n %kmdl_name
%kmdl_remove

%if %{kmdl_userland}

%files
%defattr(-,root,root,-)
%doc %{_defaultdocdir}/%{name}-%{version}
%{_x_module_path}/drivers/%{NVfolder}
%{_x_module_path}/extensions/%{NVfolder}
%{_x_module_path}/%{NVfolder}
%{_bindir}/nvidia*-%{version}*
%{_datadir}/applications/nvidia-settings-%{version}.desktop
%{_datadir}/pixmaps/nvidia-settings-%{version}.png
%{_mandir}/man1/nvidia*-%{version}*
%{_sysconfigdir}/OpenCL/vendors/nvidia.icd

%files libs
%defattr(-,root,root,-)
#dir %{_x_libraries}/%{NVfolder}
#{_x_libraries}/%{NVfolder}/libXvMCNVIDIA*.so.*
%dir %{_libdir}/%{NVfolder}
%{_libdir}/%{NVfolder}/libGL*.so.*
%{_libdir}/%{NVfolder}/libEGL*.so.*
%{_libdir}/%{NVfolder}/libnvidia*.so.*
#%{_libdir}/%{NVfolder}/libnvidia-compiler.so
%{_libdir}/%{NVfolder}/libcuda.so.*
%{_libdir}/%{NVfolder}/vdpau
%{_libdir}/vdpau
%{_libdir}/%{NVfolder}/libOpenCL*.so.*
#%{_libdir}/%{NVfolder}/libvdpau*
#%{_libdir}/%{NVfolder}/libvdpau*.so.*
%dir %{_libdir}/%{NVfolder}/tls
%{_libdir}/%{NVfolder}/tls/libnvidia*.so.*
%{_libdir}/%{NVfolder}/libnvcuvid.so.*


#%ifarch x86_64
#%exclude /usr/lib
#%endif

%{_libdir}/%{NVfolder}/libEGL.so
%{_libdir}/%{NVfolder}/libEGL.so.*
%{_libdir}/%{NVfolder}/libGLESv1_CM.so
%{_libdir}/%{NVfolder}/libGLESv2.so

%files devel
%defattr(-,root,root,-)
#{_x_libraries}/libXvMCNVIDIA.a
#{_x_libraries}/libXvMCNVIDIA.so
#{_x_libraries}/%{NVfolder}/libXvMCNVIDIA_dynamic.so
%{_libdir}/%{NVfolder}/libGL.la
%{_libdir}/%{NVfolder}/libGL.so
%{_libdir}/%{NVfolder}/libnvidia*.so
%{_libdir}/%{NVfolder}/libcuda.so
%{_libdir}/%{NVfolder}/vdpau/libvdpau_nvidia.so
%{_libdir}/%{NVfolder}/libOpenCL.so
%{_libdir}/%{NVfolder}/libnvcuvid.so
#%{_includedir}/%{NVfolder}

%else

%files -n %kmdl_name
%defattr(-,root,root,-)
%{kmdl_moduledir}
#%exclude %{_libdir}
#%exclude %{_datadir}
#%exclude %{_bindir}
%ifarch x86_64
#%exclude /usr/lib
%endif


%endif

%changelog
* Sat Apr 10 2021 Stephen Collier <stephenbcollier@gmail.com> - 390.141-15
- Fix Compile on kernel 5.11 (390.141).

* Thu Jan 07 2021 Stephen Collier <stephenbcollier@gmail.com> - 390.141-14
- Update to latest nvidia version (390.141).

* Tue Sep 08 2020 Stephen Collier <stephenbcollier@gmail.com> - 390.138-13
- Fix compile on kernel 5.8 (390.138).

* Wed Jun 24 2020 Stephen Collier <stephenbcollier@gmail.com> - 390.138-12
- Update to latest nvidia version (390.138).

* Fri Nov 08 2019 Stephen Collier <stephenbcollier@gmail.com> - 390.132-11
- Update to latest nvidia version (390.132).

* Mon Jul 29 2019 Stephen Collier <stephenbcollier@gmail.com> - 390.129-10
- Update to latest nvidia version (390.129).

* Fri Feb 22 2019 Stephen Collier <stephenbcollier@gmail.com> - 390.116-9
- Update to latest nvidia version (390.116).

* Tue Aug 28 2018 Stephen Collier <stephenbcollier@gmail.com> - 390.87-8
- Update to latest nvidia version (390.87).

* Sat Aug 04 2018 Stephen Collier <stephenbcollier@gmail.com> - 390.77-7
- Update to latest nvidia version (390.77).

* Wed Jun 06 2018 Stephen Collier <stephenbcollier@gmail.com> - 390.67-6
- Update to latest nvidia version (390.67).

* Fri May 18 2018 Stephen Collier <stephenbcollier@gmail.com> - 390.59-5
- Update to latest nvidia version (390.59).

* Wed Mar 28 2018 Stephen Collier <stephenbcollier@gmail.com> - 390.48-4
- Update to latest nvidia version (390.48).

* Mon Mar 12 2018 Stephen Collier <stephenbcollier@gmail.com> - 390.42-3
- Update to latest nvidia version (390.42).

* Mon Jan 29 2018 Stephen Collier <stephenbcollier@gmail.com> - 390.25-2
- Update to latest nvidia version (390.25).

* Fri Nov 24 2017 Stephen Collier <stephenbcollier@gmail.com> - 387.34-3
- Update to latest nvidia version (387.34).

* Mon Oct 30 2017 Stephen Collier <stephenbcollier@gmail.com> - 387.22-2
- Update to latest nvidia version (387.22).

* Thu Sep 21 2017 Stephen Collier <stephenbcollier@gmail.com> - 384.90-5
- Update to latest nvidia version (384.90).

* Tue Aug 22 2017 Stephen Collier <stephenbcollier@gmail.com> - 384.69-4
- Update to latest nvidia version (384.69).

* Tue Jul 25 2017 Stephen Collier <stephenbcollier@gmail.com> - 384.59-3
- Update to latest nvidia version (384.59).

* Sat Jul 01 2017 Stephen Collier <stephenbcollier@gmail.com> - 384.47-2
- Update to latest nvidia version (384.47).

* Wed May 24 2017 Stephen Collier <stephenbcollier@gmail.com> - 381.22-3
- Fix libEGL.so.1 problem.

* Wed May 10 2017 Stephen Collier <stephenbcollier@gmail.com> - 381.22-2
- Update to latest nvidia version (381.22).

* Wed Mar 29 2017 Stephen Collier <stephenbcollier@gmail.com> - 378.13-6
- Added patch to compile on kernel 4.10 

* Mon Mar 06 2017 Stephen Collier <stephenbcollier@gmail.com> - 378.13-5
- Update to latest nvidia version (378.13).

* Wed Feb 15 2017 Stephen Collier <stephenbcollier@gmail.com> - 375.39-4
- Update to latest nvidia version (375.39).

* Wed Dec 14 2016 Stephen Collier <stephenbcollier@gmail.com> - 375.26-3
- Update to latest nvidia version (375.26).

* Thu Nov 24 2016 Stephen Collier <stephenbcollier@gmail.com> - 375.20-2
- Update to latest nvidia version (375.20).

* Tue Aug 23 2016 Stephen Collier <stephenbcollier@gmail.com> - 367.44-4
- Update to latest nvidia version (367.44).

* Fri Jul 15 2016 Stephen Collier <stephenbcollier@gmail.com> - 367.35-3
- Update to latest nvidia version (367.35).

* Wed Jun 15 2016 Stephen Collier <stephenbcollier@gmail.com> - 367.27-2
- Update to latest nvidia version (367.27).

* Fri Nov 27 2015 Stephen Collier <stephenbcollier@gmail.com> - 358.16-2
- Update to latest nvidia version (358.16).

* Fri Sep 04 2015 Stephen Collier <stephenbcollier@gmail.com> - 355.11-179
- Update to latest nvidia version (355.11).

* Fri Aug 28 2015 Stephen Collier <stephenbcollier@gmail.com> - 352.41-178
- Update to latest nvidia version (352.41).

* Tue Jul 28 2015 Stephen Collier <stephenbcollier@gmail.com> - 352.30-177
- Update to latest nvidia version (352.30).

* Sat Jun 20 2015 Stephen Collier <stephenbcollier@gmail.com> - 352.21-176
- Update to latest nvidia version (352.21).

* Tue Apr 14 2015 Stephen Collier <stephenbcollier@gmail.com> - 349.16-175
- Update to latest nvidia version (349.16).

* Tue Apr 14 2015 Stephen Collier <stephenbcollier@gmail.com> - 349.12-174
- Initial 349 series build

* Tue Apr 14 2015 Stephen Collier <stephenbcollier@gmail.com> - 343.36-173
- Fix compile issue with f_dentry patch on fedora

* Sat Feb 21 2015 Stephen Collier <stephenbcollier@gmail.com> - 343.36-172
- Fix driver link temp until get a chance to fix nvidia-graphics-switch

* Mon Dec 29 2014 Stephen Collier <stephenbcollier@gmail.com> - 343.36-171
- Fix some linking issues.

* Fri Dec 19 2014 Stephen Collier <stephenbcollier@gmail.com> - 343.36-170
- Remove need for fakeroot.

* Fri Dec 12 2014 Stephen Collier <stephenbcollier@gmail.com> - 343.36-169
- Update to latest nvidia version (340.36).

* Wed Nov 19 2014 Stephen Collier <stephenbcollier@gmail.com> - 346.16-168
- Update to latest nvidia version (346.16).

* Tue Sep 23 2014 Stephen Collier <stephenbcollier@gmail.com> - 343.22-167
- Update to latest nvidia version (343.22).

* Sun Sep 14 2014 Stephen Collier <stephenbcollier@gmail.com> - 340.32-166
- Modify to allow kmdl only build with mock

* Fri Aug 20 2014 Stephen Collier <stephenbcollier@gmail.com> - 340.32-165
- Update to 340.25.

* Sun Jul 13 2014 Stephen Collier <stephenbcollier@gmail.com> - 340.25-164
- Update to 340.25.

* Fri Jun 20 2014 Stephen Collier <stephenbcollier@gmail.com> - 340.17-163
- Update to 340.17.

* Sat Nov 16 2013 Axel Thimm <Axel.Thimm@ATrpms.net> - 331.20-161
- Update to 331.20.

* Sat Sep 14 2013 Axel Thimm <Axel.Thimm@ATrpms.net> - 319.49-158
- Update to 319.49.

* Sun Jul 28 2013 Paulo Roma <roma@lcg.ufrj.br> - 319.32-157
- Update to 319.32.

* Sun May 26 2013 Axel Thimm <Axel.Thimm@ATrpms.net> - 319.23-156
- Update to 319.23.

* Fri May 10 2013 Axel Thimm <Axel.Thimm@ATrpms.net> - 319.17-155
- Update top 319.17.

* Wed Dec 26 2012 Axel Thimm <Axel.Thimm@ATrpms.net> - 310.19-152
- Fix broken provides by Paulo Cavalcanti.

* Mon Dec 17 2012 Axel Thimm <Axel.Thimm@ATrpms.net> - 310.19-151
- Update to 310.19.

* Fri Nov  9 2012 Axel Thimm <Axel.Thimm@ATrpms.net> - 304.64-150
- Update to 304.64.

* Sun Oct 21 2012 Axel Thimm Paulo Roma <roma@lcg.ufrj.br> - 304.51-149
- Fixed desktop/applications settings.

* Sat Oct 13 2012 Axel Thimm <Axel.Thimm@ATrpms.net> - 304.51-148
- Update to 304.51.

* Sun Jun 24 2012 Axel Thimm <Axel.Thimm@ATrpms.net> - 302.17-146
- Update to 302.17.

* Fri May 11 2012 Axel Thimm <Axel.Thimm@ATrpms.net> - 295.49-145
- Update to 295.49.

* Mon Apr 30 2012 Axel Thimm <Axel.Thimm@ATrpms.net> - 295.40-144
- Update to 295.40.

* Sun Mar 25 2012 Axel Thimm <Axel.Thimm@ATrpms.net> - 295.33-143
- Update to 295.33.

* Sun Mar 25 2012 Axel Thimm <Axel.Thimm@ATrpms.net> - 295.20-142
- Fix for 3.3.0.

* Wed Feb 22 2012 Axel Thimm <Axel.Thimm@ATrpms.net> - 295.20-141
- Update to 290.20.

* Thu Nov 24 2011 Axel Thimm <Axel.Thimm@ATrpms.net> - 290.10-140
- Update to 290.10.

* Sun Oct 23 2011 Axel Thimm <Axel.Thimm@ATrpms.net> - 285.05.09-139
- Update to 285.05.09.

* Wed Aug  3 2011 Axel Thimm <Axel.Thimm@ATrpms.net> - 280.13-138
- Update to 280.13.

* Sun Jul 24 2011 Axel Thimm <Axel.Thimm@ATrpms.net> - 275.21-137
- Update to 275.21.

* Mon Jun 20 2011 Axel Thimm <Axel.Thimm@ATrpms.net> - 275.09.07-136
- Update to 275.09.07.

* Fri May 27 2011 Axel Thimm <Axel.Thimm@ATrpms.net> - 270.41.19-135
- Update to 270.41.19.

* Thu Apr  7 2011 Axel Thimm <Axel.Thimm@ATrpms.net> - 270.30-134
- Update to 270.30.

* Thu Mar 24 2011 Axel Thimm <Axel.Thimm@ATrpms.net> - 260.19.44-133
- Update to 260.19.44.

* Tue Jan 25 2011 Axel Thimm <Axel.Thimm@ATrpms.net> - 260.19.36-132
- Update to 260.19.36.

* Tue Jan 11 2011 Axel Thimm <Axel.Thimm@ATrpms.net> - 260.19.29-131
- Update to 260.19.29.

* Sat Nov 13 2010 Axel Thimm <Axel.Thimm@ATrpms.net> - 260.19.21-130
- Update to 260.19.21.

* Sat Oct 16 2010 Axel Thimm <Axel.Thimm@ATrpms.net> - 260.19.12-129
- Update to 260.19.12.

* Fri Sep  3 2010 Axel Thimm <Axel.Thimm@ATrpms.net> - 256.53-127
- Update to 256.53.

* Sun Aug  8 2010 Axel Thimm <Axel.Thimm@ATrpms.net> - 256.44-126
- Update to 256.44.

* Wed Jun 23 2010 Axel Thimm <Axel.Thimm@ATrpms.net> - 256.35-125
- Update to 256.35.

* Fri Jun 11 2010 Axel Thimm <Axel.Thimm@ATrpms.net> - 195.36.31-124
- Update to 195.36.31.

* Tue May 18 2010 Paulo Roma <roma@lcg.ufrj.br> - 195.36.24-123
- Fixed nvidia driver because xorg is now descending into directories.

* Tue May 11 2010 Axel Thimm <Axel.Thimm@ATrpms.net> - 195.36.24-122
- Update to 195.36.24.

* Sat Mar 27 2010 Axel Thimm <Axel.Thimm@ATrpms.net> - 195.36.15-121
- Update to 195.36.15.

* Sat Jan  2 2010 Axel Thimm <Axel.Thimm@ATrpms.net> - 195.30-120
- Update to 195.30.

* Fri Oct 23 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 190.42-119
- Update to 190.42.

* Sun Oct 18 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 190.40-118
- Update to 190.40.

* Fri Oct 16 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 190.36-117
- Update to 190.36.

* Fri Sep 11 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 190.32-115
- Update to 190.32.

* Fri Aug 28 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:190.25-114
- Update to 190.25.

* Sat Jul 25 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:190.18-113
- Update to 190.18.

* Mon Jun 15 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:185.18.14-112
- Update to 185.18.14.

* Sun Apr 26 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:185.18.04-111
- Update to 185.18.04.

* Sun Mar 29 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:185.13-110
- Update to 185.13.

* Sun Mar  8 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:180.37-109
- Update to 180.37.

* Wed Feb 25 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:180.35-108
- Update to 180.35.

* Sat Feb 14 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:180.29-107
- Update to 180.29.

* Sun Jan 11 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:180.22-106
- Update to 180.22.

* Mon Jan 05 2009 Paulo Roma <roma@lcg.ufrj.br> - 1:180.18-105
- Update to 180.18
- Added libvdpau files.

* Mon Jan 05 2009 Paulo Roma <roma@lcg.ufrj.br> - 1:177.82-104
- Update to 177.82

* Thu Oct 09 2008 Paulo Roma <roma@lcg.ufrj.br> - 1:177.80-103
- Update to 177.80

* Sun Sep 20 2008 Paulo Roma <roma@lcg.ufrj.br> - 1:177.76-102
- Update to 177.76

* Sun Sep 14 2008 Paulo Roma <roma@lcg.ufrj.br> - 1:177.67-101
- Update to 177.67
- Added new nvidia-smi and libXvMCNVIDIA_dynamic.so.

* Fri Jul 11 2008 Paulo Roma <roma@lcg.ufrj.br> - 1:177.13-100
- Update to 177.13

* Thu Jun 19 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:173.14.09-99
- Update to 173.14.09.

* Wed May 28 2008 Paulo Roma <roma@lcg.ufrj.br> - 1:173.14.05-98
- Update to 173.14.05.
- Removed patch2.

* Sat Apr 19 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:169.12-97
- Apply patch for kernel 2.6.25.

* Mon Mar 10 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:169.12-96
- Update to 169.12.

* Tue Feb  5 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:169.09-95
- Update to 169.09.

* Sun Dec 23 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:169.07-94
- Update to 169.07.

* Sat Oct  6 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:100.14.19-92
- Update to 100.14.19.

* Fri Jun 22 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:100.14.11-91
- Update to 100.14.11.

* Tue Jun 12 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:100.14.09-88
- Update to 100.14.09.

* Wed Mar  7 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:1.0_9755-86
- Update to 1.0-9755.

* Fri Dec 22 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:1.0_9746-83
- Update to 1.0.9746.

* Wed Dec  6 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:1.0_9631-82
- Update to 1.0-9631.

* Tue Nov  7 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:1.0_9629-80
- Update to 1.0-9629.

* Sat Nov  4 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:1.0_9626-79
- Update to 1.0-9626.

* Fri Oct 27 2006 Paulo Roma <roma@lcg.ufrj.br> - 1:1.0_9625-78
- Update to 1.0-9625.
- Changed nvidia_drv.o for nvidia_drv.so
- Applied patch for being compatible to eeprom.

* Sat Oct 21 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:1.0_8776-77
- Update to 1.0-8776.

* Fri Aug 25 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:1.0_8774-75
- Update to 1.0-8774.

* Tue May 23 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0-8762.

* Fri Apr 7 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0-8756.

* Fri Dec 23 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0-8178.

* Mon Dec 5 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0-8174.

* Tue Aug 30 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0-7676.

* Tue Jun 28 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0-7667.

* Thu Jun 2 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0-7664.

* Thu Mar 31 2005 Jarod Wilson <jarod@wilsonet.com>
- Update to 1.0-7174.

* Wed Mar 16 2005 Jarod Wilson <jarod@wilsonet.com>
- Add cumulative patch NVIDIA_kernel-1.0-7167-03.11.2005.diff.

* Tue Mar 15 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0-7167.

* Wed Nov 10 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0-6629.

* Sat Aug 7 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0-6111.

* Sat Jun 30 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0-6106.

* Sat Mar 13 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Split out development files.

* Wed Jan 28 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0-5336.

* Mon Dec 21 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0-5328.
- Merged nvidia-graphics and nvidia-graphics-glx back together again.

* Wed Dec 3 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Move libs to their own lib directory.
- Can therefore remove Conflict with Mesa.

* Tue Nov 11 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Added python XF86Config updater script by Peter Backlund.
 (slightly modified).

* Mon Oct 13 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Simplified scripts, no more renaming/moving (#101775).

* Sat Aug 9 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- New kmdl_userland scheme.
- Back to disttagging releases.

* Tue Jun 24 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Major rewrite for atrpms macro style.

* Fri Jun 20 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Adapted to atrpms kernel macros.
- Fixed dependency on kernel (RH kernels provide for all builds).

* Thu May 22 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0-4191.

* Mon Dec 9 2002 Axel Thimm <Axel.Thimm@ATrpms.net>
- Imported into atrpms.

* Thu Nov 07 2002 Joseph Kain <jkain@nvidia.com>
- Suppress lsmod output

* Fri Oct 11 2002 Andy Ritger <aritger@nvidia.com>
- Check that the module is loaded before reporting success.

* Fri Sep 06 2002 Gareth Hughes <gareth@nvidia.com>
- Change NVdriver to nvidia.o everywhere.

* Mon Nov 26 2001 Joseph Kain <jkain@nvidia.com>
- Use %%{_tmppath} instead of hardcoding /var/tmp

* Tue Aug 24 2001 Joseph Kain <jkain@nvidia.com>
- in preun check usage count of NVdriver before trying to unload.

* Thu Aug 31 2000 Terence Ripperda <tripperda@nvidia.com>
- allow build scripts to specify a kernel version via TARGET_KERNEL variable
 otherwise fallback to `uname -r`
- when searching for agpgart module, search in RPM_BUILD_ROOT, so we don't
 pick up an errant symbol on a build machine.

* Tue Aug 15 2000 Mark Cooke <mpc@star.sr.bham.ac.uk>
- Change permissions on NVdriver to 444 to avoid symbol-stripping issues
 with versions of RPM after 3.0.4
- Add a test to make sure the NVdriver registers correctly.

* Wed Aug 02 2000 Terence Ripperda <tripperda@nvidia.com>
- regress use of /proc/devices to get major number

* Tue May 02 2000 Terence Ripperda <tripperda@nvidia.com>
- regress use of "make install" in post, no Makefile present

* Fri Apr 27 2000 Nick Triantos <nick@nvidia.com>
- Use "NVdriver" and "install" targets on make
- Remove BuildReq item from header, was causing build error

* Thu Apr 27 2000 Gregory McLean <gregm@comstar.net>
- Cleaned out some redundant parts of the spec file.
- Set the buildroot.
- Made sure the preun gets called properly.
- Added a %%clean section to keep building machine tidy.
- Set up logic for epoc builds if needed.

